Package org.apache.storm.hdfs.trident

## Class HdfsState.Options

- java.lang.Object
- - org.apache.storm.hdfs.trident.HdfsState.Options

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `HdfsState.HdfsFileOptions`, `HdfsState.SequenceFileOptions`
  Enclosing class:
    HdfsState

      public abstract static class HdfsState.Options
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `configKey` |
    `protected FileNameFormat` | `fileNameFormat` |
    `protected org.apache.hadoop.fs.FileSystem` | `fs` |
    `protected String` | `fsUrl` |
    `protected org.apache.hadoop.conf.Configuration` | `hdfsConfig` |
    `protected int` | `rotation` |
    `protected ArrayList<RotationAction>` | `rotationActions` |
    `protected FileRotationPolicy` | `rotationPolicy` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Options()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `rotateOutputFile()` |
    `protected void` | `rotateOutputFile​(boolean doRotateAction)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fsUrl

          protected String fsUrl

    - #### configKey

          protected String configKey

    - #### fs

          protected transient org.apache.hadoop.fs.FileSystem fs

    - #### rotationPolicy

          protected FileRotationPolicy rotationPolicy

    - #### fileNameFormat

          protected FileNameFormat fileNameFormat

    - #### rotation

          protected int rotation

    - #### hdfsConfig

          protected transient org.apache.hadoop.conf.Configuration hdfsConfig

    - #### rotationActions

          protected ArrayList<RotationAction> rotationActions

  - ### Constructor Detail

    - #### Options

          public Options()

  - ### Method Detail

    - #### rotateOutputFile

          protected void rotateOutputFile​(boolean doRotateAction)
                                   throws IOException

      Throws:
        `IOException`

    - #### rotateOutputFile

          protected void rotateOutputFile()
                                   throws IOException

      Throws:
        `IOException`